curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "EMAIL",
"statusState": "NOT_SPECIFIED",
"subscriptionId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Legen Sie den Abonnementstatus eines spezifischen Kontakts fest.
curl --request POST \
--url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "EMAIL",
"statusState": "NOT_SPECIFIED",
"subscriptionId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Die eindeutige ID des Abonnenten, dessen Status der Kommunikationseinstellungen aktualisiert wird.
Die Art des Kommunikationskanals, wobei nur die Option „EMAIL“ unterstützt wird.
EMAIL Der aktuelle Abonnementstatus des Kontakts, mit den Optionen „SUBSCRIBED“, „UNSUBSCRIBED“ oder „NOT_SPECIFIED“.
NOT_SPECIFIED, SUBSCRIBED, UNSUBSCRIBED Die eindeutige ID des zu aktualisierenden Abonnements.
Die rechtliche Grundlage für die Kommunikation, u. a. mit folgenden Optionen „LEGITIMATE_INTEREST_PQL“, „LEGITIMATE_INTEREST_CLIENT“, „PERFORMANCE_OF_CONTRACT“, „CONSENT_WITH_NOTICE“, „NON_GDPR“, „PROCESS_AND_STORE“ und „LEGITIMATE_INTEREST_OTHER“.
CONSENT_WITH_NOTICE, LEGITIMATE_INTEREST_CLIENT, LEGITIMATE_INTEREST_OTHER, LEGITIMATE_INTEREST_PQL, NON_GDPR, PERFORMANCE_OF_CONTRACT, PROCESS_AND_STORE Eine Erläuterung der rechtlichen Grundlage für die Kommunikation.
successful operation
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Vorgang abgeschlossen wurde.
Ein Array mit Ergebnissen aus dem Vorgang.
Show child attributes
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Vorgang gestartet wurde.
Zeigt den aktuellen Status des Vorgangs an, mit den möglichen Werten: PENDING, PROCESSING, CANCELED, COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING Eine Liste der während des Vorgangs aufgetretenen Fehler.
Show child attributes
Enthält URLs im Zusammenhang mit der Antwort, z. B. Dokumentation oder Ressourcen.
Show child attributes
Die Anzahl der während des Vorgangs aufgetretenen Fehler.
Der Zeitpunkt (Datum und Uhrzeit), zu dem die Anfrage gestellt wurde.